/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.com.rpc.client;

import de.starface.com.rpc.common.RpcTransportToken;

/**
 * An abstract factory used to crate {@link OutgoingRequestProcessor}s on the client side.
 *
 * @author tilmann
 *
 * @param <TransportToken>
 *        the transport token type of the created request processors
 */
public interface OutgoingRequestProcessorFactory<TransportToken extends RpcTransportToken> {
	/**
	 * Create a new {@link OutgoingRequestProcessor}
	 *
	 * @return the newly created processor
	 */
	public OutgoingRequestProcessor<TransportToken> createOutgoingRequestProcessor();
}
