/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.common.authentication;

import de.starface.com.rpc.common.RpcTransportToken;

/**
 * This interface represents a token which is used for authentication via transport. On the server
 * side the RpcAuthToken is resolved by the {@link RpcAuthTokenConverter} from the RpcTransportToken
 * provided by a RPC request. The RpcAuthToken is used when a RPC request is processed to perform
 * identification of the caller.
 *
 * @author may
 *
 * @see RpcTransportToken
 * @see RpcAuthTokenConverter
 */
public interface RpcAuthToken {
	// Methods to be defined by concrete implementations
}
