/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.common.authentication;

import de.starface.com.rpc.common.RpcTransportToken;

/**
 * Implementations of this interface may be used as factories for creating
 * {@link RpcAuthTokenConverter}s
 *
 * @author tilmann
 *
 * @param <TransportToken>
 *        The {@link RpcTransportToken} for which a converter is created by the given instance.
 */
public interface RpcAuthTokenConverterFactory<TransportToken extends RpcTransportToken> {
	/**
	 * Creates an {@link RpcAuthTokenConverter}
	 *
	 * @return the newly created converter
	 */
	public RpcAuthTokenConverter<TransportToken, ? extends RpcAuthToken> getConverter();
}
