/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.common.interceptor;

import de.starface.com.rpc.RpcException;

/**
 * This is the link inside the {@link RequestInterceptorChain} to the next interceptor.
 *
 * @author tilmann
 */
public interface RequestInterceptorChainLink {
	/**
	 * Continue processing of the chain with the next request interceptor
	 *
	 * @throws RpcException
	 *         if an error occurs during interceptor or request processing
	 */
	public void processRequest() throws RpcException;
}
