/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.services.filetransfer;

/**
 * A base class that can be used to implement a {@link FileTransferEventListener}
 *
 * @author tilmann
 */
public class FileTransferEventListenerHelper implements FileTransferEventListener {
	/**
	 * This implementation doesn't do anything
	 *
	 * @see de.starface.com.rpc.services.filetransfer.FileTransferEventListener#fileTransferProgress(de.starface.com.rpc.services.filetransfer.FileTransfer)
	 */
	@Override
	public void fileTransferProgress(FileTransfer file) {
		// Don't do anything
	}

	/**
	 * This implementation doesn't do anything
	 *
	 * @see de.starface.com.rpc.services.filetransfer.FileTransferEventListener#fileTransferCompleted(de.starface.com.rpc.services.filetransfer.FileTransfer)
	 */
	@Override
	public void fileTransferCompleted(FileTransfer file) {
		// Don't do anything
	}

	/**
	 * This implementation doesn't do anything
	 *
	 * @see de.starface.com.rpc.services.filetransfer.FileTransferEventListener#fileTransferInitialized(de.starface.com.rpc.services.filetransfer.FileTransfer)
	 */
	@Override
	public void fileTransferInitialized(FileTransfer file) {
		// Don't do anything
	}

	/**
	 * This implementation doesn't do anything
	 *
	 * @see de.starface.com.rpc.services.filetransfer.FileTransferEventListener#fileTransferFailed(de.starface.com.rpc.services.filetransfer.FileTransferFailedEvent)
	 */
	@Override
	public void fileTransferFailed(FileTransferFailedEvent event) {
		// Don't do anything
	}
}
