/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.FileTransfer.State;

/**
 * This is an RPC value object that is send between client and server during a file upload. It
 * represents the result of the continuation of the upload and contains the state of the upload
 *
 * @author tilmann
 */
@RpcValueObject
public class ContinueUploadResult {
	@RpcValue
	private State fileTransferState;

	public ContinueUploadResult() {
		// provide default constructor
	}

	public ContinueUploadResult(State fileTransferState) {
		this.fileTransferState = fileTransferState;
	}

	public State getFileTransferState() {
		return fileTransferState;
	}
}
