/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

/**
 * This is an RPC value object that is send between client and server during a file transfer. It
 * contains file data being transferred together with a hash value to ensure the correct data has
 * been transferred.
 *
 * @author tilmann
 */
@RpcValueObject
public class FileBlock {

	@RpcValue
	private byte[] data;

	@RpcValue
	private byte[] blockDigest;

	public FileBlock(byte[] data, byte[] blockDigest) {
		this.data = data;
		this.blockDigest = blockDigest;
	}

	public FileBlock() {
		// Provide empty Constructor
	}

	public byte[] getData() {
		return data;
	}

	public byte[] getBlockDigest() {
		return blockDigest;
	}
}
