/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.FileTransfer.State;

/**
 * This is an RPC value object that is send between client and server during a file upload. It
 * represents the result of the initialization of the upload and contains the file transfer id and
 * state of the upload
 *
 * @author tilmann
 */
@RpcValueObject
public class InitializeUploadResult {
	@RpcValue
	private String fileTransferId;

	@RpcValue
	private State fileTransferState;

	public InitializeUploadResult() {
		// provide default constructor
	}

	public InitializeUploadResult(String fileTransferId, State fileTransferState) {
		this.fileTransferId = fileTransferId;
		this.fileTransferState = fileTransferState;
	}

	public String getFileTransferId() {
		return fileTransferId;
	}

	public State getFileTransferState() {
		return fileTransferState;
	}
}
