/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.xmlrpc.smack;

import de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder;

import org.jivesoftware.smack.packet.IQ;

/**
 * An {@link XmlRpcObjectBuilder} used for incoming XMPP Packets
 *
 * @author tilmann
 */
public class XmppXmlRpcObjectBuilder implements XmlRpcObjectBuilder {
	private IQ buildResult;

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingRequest(String,
	 *      Object[])
	 */
	@Override
	public void createIncomingRequest(String method, Object[] params) {
		buildResult = XmlRpcRequestPacket.createIncomingRequest(method, params);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingResponse(Object)
	 */
	@Override
	public void createIncomingResponse(Object returnValue) {
		buildResult = XmlRpcResponsePacket.createIncomingResponse(returnValue);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingFaultResponse(int,
	 *      String)
	 */
	@Override
	public void createIncomingFaultResponse(int faultCode, String faultString) {
		buildResult = XmlRpcResponsePacket.createIncomingFaultResponse(faultCode, faultString);
	}

	public IQ getBuildResult() {
		return buildResult;
	}
}
