/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.xmlrpc.types;

/**
 * The base64 type in XML-RPC.
 * <ul>
 * <li>Tag: {@code <base64>}</li>
 * <li>Type: base64-encoded binary</li>
 * <li>Example: eW91IGNhbid0IHJlYWQgdGhpcyE=</li>
 * </ul>
 *
 * @author may
 *
 */
public class XmlRpcBase64 implements XmlRpcType {
	private final byte[] _value;

	public XmlRpcBase64(byte[] value) {
		_value = value.clone();
	}

	public byte[] getValue() {
		return _value.clone();
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.types.XmlRpcType#getJavaType()
	 */
	@Override
	public Class<?> getJavaType() {
		return byte[].class;
	}
}
