/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.xmlrpc.types;

import java.util.Date;

/**
 * The date/time type in XML-RPC.
 * <ul>
 * <li>Tag: {@code <dateTime.iso8601>}</li>
 * <li>Type: date/time</li>
 * <li>Example: 19980717T14:08:55</li>
 * </ul>
 *
 * @author may
 *
 */
public class XmlRpcDateTime implements XmlRpcType {
	private final Date _value;

	public XmlRpcDateTime(Date value) {
		_value = (Date) value.clone();
	}

	public Date getValue() {
		return (Date) _value.clone();
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.types.XmlRpcType#getJavaType()
	 */
	@Override
	public Class<?> getJavaType() {
		return null;
	}
}
