/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.xmpp.smack;

import de.starface.com.rpc.xmlrpc.XmlRpcObjectParser;
import de.starface.com.rpc.xmlrpc.smack.XmppXmlRpcObjectBuilder;

import org.jivesoftware.smack.packet.IQ;
import org.jivesoftware.smack.provider.IQProvider;
import org.xmlpull.v1.XmlPullParser;

/**
 * PacketProvider for the Smack XMPP-Library.
 *
 * Adds the ability to read and write XML-RPC packets
 *
 * @author may
 *
 */
public class XmlRpcPacketProvider implements IQProvider {

	@Override
	public IQ parseIQ(XmlPullParser pullParser) throws Exception {
		XmppXmlRpcObjectBuilder objectBuilder = new XmppXmlRpcObjectBuilder();
		XmlRpcObjectParser objectParser = new XmlRpcObjectParser(objectBuilder, "query");

		objectParser.parse(pullParser);

		return objectBuilder.getBuildResult();
	}
}
