/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.xmpp.smack;

/**
 * This class represents an event that notifies about the change of state of an XMPP connection
 *
 * @author tilmann
 *
 */
public class XmppConnectionEvent {
	/**
	 * This static class contains the constants for the event codes.
	 *
	 * @author tilmann
	 */
	public static class Codes {
		/** The connection has been established */
		public static final int CONNECTION_ESTABLISHED = 1;

		/** The connection has been closed */
		public static final int CONNECTION_CLOSED = 2;
	}

	private int code;

	XmppConnectionEvent(int code) {
		this.code = code;
	}

	/**
	 * Retrieve the code identifying this event.
	 *
	 * @return one of the constants defined in {@link Codes}
	 */
	public int getCode() {
		return code;
	}
}
