/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.xmlrpc

import spock.lang.Specification

/**
 * Created by paul on 19.01.17.
 */
class XmlRpcObjectSerializerTest extends Specification {
	def "test escape invalid chars in XML"() {
		expect:
		XmlRpcObjectSerializer.serialize(input) == output

		where:
		input                                                                         || output
		"${(0x00..0x3f).inject('') { acc, val -> acc + new Character(val as char) }}" || '<value><string>\t\n\r !&quot;#$%&amp;&apos;()*+,-./0123456789:;&lt;=&gt;?</string></value>'
		"${(0x5b..0x7f).inject('') { acc, val -> acc + new Character(val as char) }}" || '<value><string>[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~&#127;</string></value>'
	}
}
