/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.unittests.common.valuetranslation;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.util.Map;

@RpcValueObject
public class VTTestBean extends VTTestSubBean {
	@RpcValue()
	VTTestSubBean BeanField;

	public static VTTestBean createVTTestBean() {
		VTTestBean bean = new VTTestBean();
		bean.initValues();
		return bean;
	}

	@Override
	protected void initValues() {
		super.initValues();
		BeanField = createVTTestSubBean();
	}

	@Override
	public Map<String, Object> convertToMap() {
		Map<String, Object> map = super.convertToMap();
		map.put("BeanField", BeanField.convertToMap());
		return map;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((BeanField == null) ? 0 : BeanField.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (!super.equals(obj)) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		VTTestBean other = (VTTestBean) obj;
		if (BeanField == null) {
			if (other.BeanField != null) {
				return false;
			}
		} else if (!BeanField.equals(other.BeanField)) {
			return false;
		}
		return true;
	}
}
