/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.examples.uci30.swing.view;

import java.text.DateFormat;
import java.util.Date;

import javax.swing.table.DefaultTableCellRenderer;

/**
 * A table cell renderer for date objects
 *
 * @author tilmann
 */
public class DateCellRenderer extends DefaultTableCellRenderer {
	private static final long serialVersionUID = 1L;

	private DateFormat dateFormat;

	public DateCellRenderer() {
		super();
		dateFormat = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.MEDIUM);
	}

	@Override
	public void setValue(Object value) {
		if (value instanceof Date) {
			super.setValue(dateFormat.format(value));
		}
	}

}
