/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.examples.uci30.swing.view;

import de.starface.integration.uci.java.v30.types.GroupSetting;
import de.starface.integration.uci.java.v30.values.GroupRestriction;

import org.apache.commons.lang3.StringUtils;

import java.awt.*;

import javax.swing.*;

/**
 * A list cell renderer that renders a list of mailboxes
 *
 * @author tilmann
 */
public class GroupSettingsListCellRenderer extends DefaultListCellRenderer {
	private static final long serialVersionUID = 1L;

	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
												  boolean cellHasFocus) {
		if (value instanceof GroupSetting) {
			value = ((GroupSetting) value).getName();
		}
		if (GroupRestriction.NON_GROUP.equals(value)) {
			value = "Non Group";
		} else if (!(value instanceof String) || StringUtils.isEmpty((String) value)) {
			value = " ";
		}
		return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
	}

}
