/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.examples.uci30.swing.view;

import de.starface.examples.uci30.swing.viewmodel.SystemSettingViewModel;

import java.awt.*;

import javax.swing.*;
import javax.swing.text.JTextComponent;

/**
 * Created by paul on 26.03.15.
 */
public class SystemSettingsPanel extends JPanel {
	private JButton btRequestSettings = new JButton("Request settings");
	private JButton btRequestVersion = new JButton("Request server Version");
	private JButton btRequestWebServerConfig = new JButton("Request web server config");
	private JButton btRequestTimeZOne = new JButton("Request server timezone");
	private JTextComponent textComponent = new JEditorPane();

	public SystemSettingsPanel() {
		setLayout(new BorderLayout());
		JPanel p = new JPanel();
		p.add(btRequestSettings);
		p.add(btRequestVersion);
		p.add(btRequestWebServerConfig);
		p.add(btRequestTimeZOne);
		add(p, BorderLayout.NORTH);
		add(textComponent, BorderLayout.CENTER);
	}

	public void setModel(SystemSettingViewModel model) {
		textComponent.setDocument(model.getDocument());
		btRequestWebServerConfig.addActionListener(model.getRequestWebServerConfigurationActionListener());
		btRequestSettings.addActionListener(model.getRequestSystemSettingsActionListener());
		btRequestVersion.addActionListener(model.getRequestSystemVersionActionListener());
		btRequestTimeZOne.addActionListener(model.getRequestSystemTimeZoneIdActionListener());
	}
}
