/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.examples.uci30.swing.viewmodel;

import java.io.File;
import java.net.URLConnection;

import javax.swing.filechooser.FileFilter;

public class ImageFileFilter extends FileFilter {

	@Override
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}

		String mimeType = URLConnection.guessContentTypeFromName(f.getAbsolutePath());
		if (mimeType != null) {
			return mimeType.equals("image/jpeg") || mimeType.equals("image/gif") || mimeType.equals("image/png");
		}
		return false;
	}

	@Override
	public String getDescription() {
		return "Image files (jpeg/png/gif)";
	}

}
