/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.v30.client.utils;

import java.io.UnsupportedEncodingException;
import java.security.NoSuchAlgorithmException;
import java.util.Formatter;

/**
 * Created by dwendland on 13.05.17.
 */
public class EncryptionUtils {
	public static boolean loginHashMatch(String login, String salt, String hashedDBPassword, String secret) throws UnsupportedEncodingException, NoSuchAlgorithmException {
		boolean matches = false;
		String authCombination = login + salt + hashedDBPassword;
		String hash = encryptFromString(authCombination);
		matches = hash.equals(secret);
		return matches;
	}

	public static String encryptFromString(String toEncrypt) throws NoSuchAlgorithmException, UnsupportedEncodingException {
		java.security.MessageDigest digest = java.security.MessageDigest.getInstance("SHA-512");
		digest.reset();
		digest.update(toEncrypt.getBytes("UTF-8"));
		return byteToHex(digest.digest());
	}

	private static String byteToHex(final byte[] hash) {
		Formatter formatter = new Formatter();
		for (byte b : hash) {
			formatter.format("%02x", b);
		}
		String result = formatter.toString();
		formatter.close();
		return result;
	}
}
