/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

import de.starface.integration.uci.java.v30.messages.requests.UciSystemRequests
import de.starface.integration.uci.v30.client.UciProxyFactory
import de.starface.integration.uci.v30.client.transport.UcpTransportFactory
import de.starface.integration.uci.v30.client.transport.xmpp.XmppUcpTransportFactory

import spock.lang.Ignore
import spock.lang.Specification

/**
 * Created by paul on 19.01.17.
 */
class ProxyTest extends Specification {
	@Ignore
	def 'test xml escaping'() {
		'''
Testet XML-Escaping mit dem Openfire indem eine echte Verbindung geoeffnet wird, und dann ein UCI-Request mit
alle Zeichen in vollem ASCII-Bereich [0x00-0x7f] abgeschickt wird. Ohne Escaping killt der Openfire die Verbindung
'''
		setup:
		UcpTransportFactory ucpTransportFactory = new XmppUcpTransportFactory("UCI-3.0-Demo-Client-" + System.currentTimeMillis(), '192.168.20.205', 5222, false);
		// Create a proxy factory
		UciProxyFactory uciProxyFactory = null;
		uciProxyFactory = UciProxyFactory.createWithTransportFactory(ucpTransportFactory);
		// Create a proxy with client for a STARFACE user
		def uciProxy = uciProxyFactory.createUciProxy('1', 'starface');
		def systemRequests = uciProxy.getRequests(UciSystemRequests)

		when:
		uciProxy.connect();
		def str = "${(0x00..0x7f).inject('') { acc, val -> acc + new Character(val as char) }}"
		systemRequests.requestPermission(str)

		then:
		uciProxy.getConnectionState() == true
		cleanup:
		uciProxy.disconnect()
	}
}
