/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;
import de.starface.integration.uci.java.v30.types.FmcPhone;
import de.starface.integration.uci.java.v30.ucp.messages.events.UcpFmcPhoneEvents;

import java.util.List;

@UciService(UcpFmcPhoneEvents.SERVICE_NAME)
@RpcInterface(UcpFmcPhoneEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UciFmcPhoneEvents {
	/**
	 * This event provides Information about changes of FMC phones of this user.
	 *
	 * @param phones
	 *        a list of all FMC phones of this user.
	 */
	@RpcAsynchronous
	public void fmcPhonesChangedEvent(List<FmcPhone> phones);
}
