/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;
import de.starface.integration.uci.java.v30.types.UserState;
import de.starface.integration.uci.java.v30.ucp.messages.events.UcpUserStateEvents;

/**
 * This interface defines user state events that can be received by the UCI client implementation.
 *
 * @author tilmann
 */
@RpcInterface(UcpUserStateEvents.SERVICE_NAME)
@UciService(UcpUserStateEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UciUserStateEvents {

	/**
	 * This event allows the UCI client to get informed when the state of the current user changes.
	 *
	 * @param state
	 *        the new state of the user with a {@link String} value of one of the constants in
	 *        {@link UserState}.
	 */
	@RpcAsynchronous
	public void userStateChanged(UserState state);
}
