/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.integration.uci.java.v30.messages.events.UciCcbsCallEvents;
import de.starface.integration.uci.java.v30.values.CcbsAccountState;

import java.io.Serializable;

/**
 * This object holds the properties of the ccbsaccount as returned by
 * {@link UciCcbsCallEvents#receiveCcbsAccountState(CcbsAccountState)}.
 *
 * @author tilmann
 */
@RpcValueObject
public class CcbsAccount implements Serializable {
	private static final long serialVersionUID = 1L;

	/** The state of the call */
	@RpcValue
	protected CcbsAccountState ccbsAccountState;

	@Override
	public String toString() {
		return "CcbsAccount [ccbsAccountState=" + ccbsAccountState + "]";
	}

	public CcbsAccountState getCcbsAccountState() {
		return ccbsAccountState;
	}

	public void setCcbsAccountState(CcbsAccountState state) {
		this.ccbsAccountState = state;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((ccbsAccountState == null) ? 0 : ccbsAccountState.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		CcbsAccount other = (CcbsAccount) obj;
		if (ccbsAccountState != other.ccbsAccountState) {
			return false;
		}
		return true;
	}
}
