/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * This object holds the properties MessageWaitingIndicationEvents
 *
 * @author dirk
 */
@RpcValueObject
public class MessageWaitingIndicationInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	/** Message Wating Active */
	@RpcValue(minVersion = 30)
	private String messageWatingIndication;

	/** Boxid */
	@RpcValue(minVersion = 30)
	private String voiceMailBoxId;

	/** Boxname */
	@RpcValue(minVersion = 30)
	private String voiceMailBoxName;

	/** Message Waiting Count */
	@RpcValue(minVersion = 30)
	private String newMessagesCount;

	/**
	 * @return the voiceMailBoxId
	 */
	public String getVoiceMailBoxId() {
		return voiceMailBoxId;
	}

	/**
	 * @param voiceMailBoxId
	 *        the voiceMailBoxId to set
	 */
	public void setVoiceMailBoxId(String voiceMailBoxId) {
		this.voiceMailBoxId = voiceMailBoxId;
	}

	/**
	 * @return the newMessagesCount
	 */
	public String getNewMessagesCount() {
		return newMessagesCount;
	}

	/**
	 * @param newMessagesCount
	 *        the newMessagesCount to set
	 */
	public void setNewMessagesCount(String newMessagesCount) {
		this.newMessagesCount = newMessagesCount;
	}

	/**
	 * @return the voiceMailBoxName
	 */
	public String getVoiceMailBoxName() {
		return voiceMailBoxName;
	}

	/**
	 * @param voiceMailBoxName
	 *        the voiceMailBoxName to set
	 */
	public void setVoiceMailBoxName(String voiceMailBoxName) {
		this.voiceMailBoxName = voiceMailBoxName;
	}

	/**
	 * @return the messageWatingIndication
	 */
	public String getMessageWatingIndication() {
		return messageWatingIndication;
	}

	/**
	 * @param messageWatingIndication
	 *        the messageWatingIndication to set
	 */
	public void setMessageWatingIndication(String messageWatingIndication) {
		this.messageWatingIndication = messageWatingIndication;
	}

	@Override
	public String toString() {
		return "MessageWaitingIndicationInfo [messageWatingIndication=" + messageWatingIndication + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((messageWatingIndication == null) ? 0 : messageWatingIndication.hashCode());
		result = prime * result + ((voiceMailBoxName == null) ? 0 : voiceMailBoxName.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		MessageWaitingIndicationInfo other = (MessageWaitingIndicationInfo) obj;
		if (messageWatingIndication == null) {
			if (other.messageWatingIndication != null) {
				return false;
			}
		} else if (!messageWatingIndication.equals(other.messageWatingIndication)) {
			return false;
		}
		if (voiceMailBoxName == null) {
			if (other.voiceMailBoxName != null) {
				return false;
			}
		} else if (!voiceMailBoxName.equals(other.voiceMailBoxName)) {
			return false;
		}
		return true;
	}
}
