/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * This object hold the SIP userId which has been requested by another UCI instance
 *
 * @author tpfeifer
 *
 */
@RpcValueObject
public class SoftPhoneRegistrationInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * The SIP userId
	 */
	@RpcValue(minVersion = 30)
	private String sipUserId;

	public SoftPhoneRegistrationInfo() {
		super();
	}

	/**
	 * @return Returns the sipUserId.
	 */
	public String getSipUserId() {
		return sipUserId;
	}

	/**
	 * @param sipUserId
	 *        The sipUserId to set.
	 */
	public void setSipUserId(String sipUserId) {
		this.sipUserId = sipUserId;
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((sipUserId == null) ? 0 : sipUserId.hashCode());
		return result;
	}

	/**
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		SoftPhoneRegistrationInfo other = (SoftPhoneRegistrationInfo) obj;
		if (sipUserId == null) {
			if (other.sipUserId != null) {
				return false;
			}
		} else if (!sipUserId.equals(other.sipUserId)) {
			return false;
		}
		return true;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "SoftPhoneRegistrationInfo [sipUserId=" + sipUserId + "]";
	}

}
