/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * This object holds the information of moved voicemail list entries
 */
@RpcValueObject
public class VoicemailListEntryMovedData implements Serializable {
    private static final long serialVersionUID = 4524854866546645L;
    
    @RpcValue(minVersion = 30)
    private String oldVoicemailId;
    
    @RpcValue(minVersion = 30)
    private VoicemailListEntry voicemailListEntry;
    
    public String getOldVoicemailId() {
        return oldVoicemailId;
    }
    
    public void setOldVoicemailId(String oldVoicemailId) {
        this.oldVoicemailId = oldVoicemailId;
    }
    
    public VoicemailListEntry getVoicemailListEntry() {
        return voicemailListEntry;
    }
    
    public void setVoicemailListEntry(VoicemailListEntry voicemailListEntry) {
        this.voicemailListEntry = voicemailListEntry;
    }
    
    @Override
    public String toString() {
        return "VoicemailListEntryMovedData{" +
                "oldVoicemailId='" + oldVoicemailId + '\'' +
                ", voicemailListEntry=" + voicemailListEntry +
                '}';
    }
    
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        
        VoicemailListEntryMovedData movedData = (VoicemailListEntryMovedData) o;
        
        if (oldVoicemailId != null ? !oldVoicemailId.equals(movedData.oldVoicemailId) : movedData.oldVoicemailId != null)
            return false;
        return voicemailListEntry != null ? voicemailListEntry.equals(movedData.voicemailListEntry) : movedData.voicemailListEntry == null;
    
    }
    
    @Override
    public int hashCode() {
        int result = oldVoicemailId != null ? oldVoicemailId.hashCode() : 0;
        result = 31 * result + (voicemailListEntry != null ? voicemailListEntry.hashCode() : 0);
        return result;
    }
    
}
