/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.ucp.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v30.UciService;

/**
 * This interface defines the UCP connection events that can be received by UCI clients. This is a
 * UCP addition to the standard UCI events used for UCP connection handling.
 *
 * @author tilmann
 */
@RpcInterface(UcpConnectionEvents.SERVICE_NAME)
@UciService(UcpConnectionEvents.SERVICE_NAME)
public interface UcpConnectionEvents {
	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v30.events.connection";

	/**
	 * STARFACE wants to reset the UCP connection and doesn't send any further calls to the client.
	 */
	@RpcAsynchronous
	public void reset();
}
