/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the value of the call list entry property
 * {@link CallListEntryProperties#result}.
 *
 * @author tilmann
 *
 */
public enum CallListEntryResult {
	/** The call has been answered */
	ANSWERED,

	/** The call has been missed */
	MISSED,

	/** The call has been missed or answered */
	BOTH,

	/** The call has a comment */
	WITH_COMMENT,

	/** The call has information about being called back */
	CALLED_BACK,

	/** The call has no comment */
	WITHOUT_COMMENT,

	/** The call has no information about being called back */
	NOT_CALLED_BACK
}
