/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.messages.events.UciCdrDataEvents;

/**
 * This enum lists types of changes that are communicated via {@link UciCdrDataEvents#callCdrUpdatedEvent}.
 */
public enum CdrUpdateType {
	/**
	 * An unknown change occurred.
	 */
	UNKNOWN,

	/**
	 * A comment has been created.
	 */
	COMMENT_CREATED,

	/**
	 * A comment has been modified.
	 */
	COMMENT_MODIFIED,

	/**
	 * A comment has been cleared.
	 */
	COMMENT_CLEARED,

	/**
	 * The called back flag has been set or unset and associated metadata has been newly created.
	 */
	CALLED_BACK_CREATED,

	/**
	 * The existing called back flag or associated metadata has been modified.
	 */
	CALLED_BACK_MODIFIED,

	/**
	 * The called back flag has and associated metadata has been cleared.
	 */
	CALLED_BACK_CLEARED,
	;
}
