/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum defines different states a fax request can take. The constants are used for the fax
 * property {@link FaxProperties#state}.
 *
 * @author tilmann
 *
 */
public enum FaxState {
	/**
	 * Waiting for transmission of PDF file
	 */
	WAITING,

	/**
	 * XMPP file could not be transmitted. [ENDSTATE]
	 */
	NOFILE,

	/**
	 * Calling remote party.
	 */
	PROCEEDING,

	/**
	 * Other party doesn't answer [ENDSTATE]
	 */
	NOANSWER,

	/**
	 * Other party is busy [ENDSTATE]
	 */
	BUSY,

	/**
	 * Trying to send fax.
	 */
	SENDING,

	/**
	 * Other party is not a fax. [ENDSTATE]
	 */
	NOFAX,

	/**
	 * Fax was successfully sent. [ENDSTATE]
	 */
	SENT,

	/**
	 * Sending of fax failed. [ENDSTATE]
	 */
	FAILED
}
