/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum defines the different states a call can take. The constants are used for the call
 * property {@link CallProperties#state}.
 *
 * @author tilmann
 */
public enum ForwardType {
	/**
	 * No forward
	 */
	NONE,
	/**
	 * User interactive forward
	 */
	CFI,
	/**
	 * User allways forward
	 */
	CFU,
	/**
	 * User busy forward
	 */
	CFB,
	/**
	 * User no response forward
	 */
	CFNR,
	/**
	 * User pick up a call
	 */
	PICKUP,
	/**
	 * User blindtransfer
	 */
	BLINDTRANSFER,
	/**
	 * User transfer
	 */
	TRANSFER,
	/**
	 * User back from blindtransfer
	 */
	BL_BACK;
}
