/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.requests.UcpVoicemailListRequests;

/**
 * This enum holds constants with the property names of the mailboxes as returned by
 * {@link UcpVoicemailListRequests#getMailboxes()}
 *
 * @author tilmann
 */
public enum MailboxProperties {
	/** The id of the mailbox as {@link String} */
	id(String.class),

	/** The display name of the mailbox for the current user as {@link String} */
	name(String.class);

	private Class<?> type;

	private MailboxProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
