/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.requests.UcpPhoneRequests;

/**
 * This enum holds constants with the proptery names of the phone numbers as returned by
 * {@link UcpPhoneRequests#getAvailableDisplayNumbers()}
 *
 * @author tilmann
 */
public enum PhoneNumberProperties {
	/** The id of the phone number as {@link String} */
	id(String.class),

	/** The number of the phone number as {@link String} */
	number(String.class),

	/**
	 * The id of the group if this phone number belongs to a group as {@link String} (the empty
	 * string otherwise)
	 */
	groupId(String.class);

	private Class<?> type;

	private PhoneNumberProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
