/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the redirect setting property
 * {@link RedirectSettingProperties#type}.
 *
 * @author tilmann
 */
public enum RedirectSettingType {
	/** Incoming calls will always be redirected */
	ALWAYS,

	/** Incoming calls will be redirected if the user is busy */
	BUSY,

	/**
	 * Incoming calls will be redirected if the user does not answer for the timeout given in
	 * RedirectSettingProperties#timeout
	 */
	TIMEOUT
}
